Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::OverlapOrthog Class Reference

This class computes the orthogonalizing transform for a basis set. More...

`#include <orthog.h>`

Inheritance diagram for sc::OverlapOrthog:

[legend]
Collaboration diagram for sc::OverlapOrthog:

[legend]
List of all members.

## Public Types

enum | OrthogMethod { Symmetric = 1, Canonical = 2, GramSchmidt = 3 }
| An enum for the types of orthogonalization.

## Public Methods

| OverlapOrthog (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
void | reinit (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
double | min_orthog_res () const
double | max_orthog_res () const
Ref< OverlapOrthog > | copy () const
OrthogMethod | orthog_method () const
| Returns the orthogonalization method.
double | lindep_tol () const
| Returns the tolerance for linear dependencies.
RefSCMatrix | basis_to_orthog_basis ()
| Returns a matrix which does the requested transform from a basis to an orthogonal basis. More...
RefSCMatrix | basis_to_orthog_basis_inverse ()
| Returns the inverse of the transformation returned by basis_to_orthog_basis.
RefSCDimension | dim ()
RefSCDimension | orthog_dim ()

## Detailed Description

This class computes the orthogonalizing transform for a basis set.

## Member Function Documentation

RefSCMatrix sc::OverlapOrthog::basis_to_orthog_basis | ( |  | ) |

| Returns a matrix which does the requested transform from a basis to an orthogonal basis. This could be either the symmetric or canonical orthogonalization matrix. The row dimension is the basis dimension and the column dimension is orthogonal basis dimension. An operator in the orthogonal basis is given by where is the return value of this function.

The documentation for this class was generated from the following file:

- orthog.h